--- title: "Update a Controller" slug: "update-a-controller-2" tags: ["Product Usage", "vIPS 11.1x", "vIPS"] updated: 2026-09-11T20:53:22Z published: 2026-09-11T20:53:22Z canonical: "docs.trellix.com/update-a-controller-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update a Controller This URL updates a Controller based on the Controller ID. ### Resource URL PUT /controller/ ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `controller id` | Controller ID. You can use the `GET /controller ` method to get the details of all the Controllers. | string | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `description` | A brief description of the controller | string | Yes | | `sharedSecretKey` | Shared secret key | string | Yes | ### Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Indicates if the update operation is successful. Value is set to `true` if the update operation is successful. Value is set to `false` if the update operation is not successful. | string | | `msg` | Not applicable | Not applicable | | `errMsg` | Not applicable | Not applicable | | `domainName` | Not applicable | Not applicable | | `data` | Not applicable | Not applicable | ### Example ****Request**** PUT [https:///intruvert/webservice/api/v1/cloud/controller/7](https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/7) Payload ``` { "description": "test controller modified", "sharedSecretKey": "abc123" } ``` ****Response**** ``` { "success": true, "msg": null, "errMsg": null, "domainName": null, "data": null } ```